<?php

namespace App\Modelos;

use Core\Database;

class Presupuesto extends Database
{
    protected $table = 'app_presupuesto';
    protected $id = 'pre_id';

    public function obtenerFactura($id_factura)
    {
        return $this->consultar("SELECT * FROM app_presupuesto WHERE pre_id=$id_factura")->row();
    }

    public function obtenerSucursal($sucursal)
    {
        return $this->consultar("SELECT * FROM app_sucursales su 
        WHERE su.su_id=$sucursal")->row();
    }

    public function obtenerDivisaMaster()
    {
        return $this->consultar("SELECT * FROM app_divisas WHERE div_predeterminado = 1")->row();
    }

    public function obtenerFacturaCompleta($id_factura)
    {
        return $this->consultar("SELECT * 
        FROM app_presupuesto pre 
        JOIN app_series s ON s.ser_id = pre.pre_serid
        JOIN app_divisas d ON d.div_id = pre.pre_divid
        WHERE pre.pre_id=$id_factura")->row();
    }
}
